#include <iostream>
using namespace std;
int main(){
	int sa,sb,a,b;
	cin >> sa >> sb >> a >> b;
	if(a == sa){
		if(b == sb) cout << "nijedan";
		else cout << "drugi";
	}else{
		if(sa > a && sb > b) cout << "?";
		else cout << "prvi";
	}
	return 0;
}